This bug was fixed in the package zeitgeist - 0.9.0-1ubuntu1

---------------
zeitgeist (0.9.0-1ubuntu1) precise-proposed; urgency=low

  * debian/patches/01_upstream_cherry_picks.patch:
    - picks some upstream fixes:
    zeitgeist-fts crashed with SIGSEGV in fast_validate()
    (LP: #981300, #954171)
    [11.04 → 12.04 upgrade] Dash is always empty due to zeitgeist crash:
    Unable to upgrade from schema version 3 (LP: #986191)
 -- Didier Roche <didro...@ubuntu.com>   Thu, 03 May 2012 14:28:29 -0700

-- 
You received this bug notification because you are a member of Zeitgeist
Framework Team, which is subscribed to Zeitgeist Framework.
https://bugs.launchpad.net/bugs/954171

Title:
  zeitgeist-fts crashed with SIGSEGV in fast_validate()

Status in Zeitgeist Framework:
  Fix Committed
Status in “zeitgeist” package in Ubuntu:
  Fix Released
Status in “zeitgeist” source package in Precise:
  Fix Released

Bug description:
  Test case:
  - make sure zeitgeist-fts doesn't crash after the db is indexed
    (ouput of `ps aux | grep zeitgeist-fts` must be non-empty)

  ===

  Got this crash just after upgrading from Oneiric (where I used the PPA
  version)

  ProblemType: Crash
  DistroRelease: Ubuntu 12.04
  Package: zeitgeist-core 0.8.99~alpha3-1
  ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
  Uname: Linux 3.2.0-18-generic x86_64
  ApportVersion: 1.94.1-0ubuntu2
  Architecture: amd64
  Date: Tue Mar 13 16:03:16 2012
  ExecutablePath: /usr/lib/zeitgeist/zeitgeist-fts
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
  ProcCmdline: /usr/lib/zeitgeist/zeitgeist-fts
  ProcEnviron:
   SHELL=/bin/bash
   LANG=it_IT.UTF-8
  SegvAnalysis:
   Segfault happened at: 0x7f399f66c088 <g_utf8_validate+488>:  movzbl 
(%rdi),%r8d
   PC (0x7f399f66c088) ok
   source "(%rdi)" (0x00000000) not located in a known VMA region (needed 
readable region)!
   destination "%r8d" ok
  SegvReason: reading NULL VMA
  Signal: 11
  SourcePackage: zeitgeist
  StacktraceTop:
   g_utf8_validate () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
   ?? ()
   ?? ()
   ?? ()
   ?? ()
  Title: zeitgeist-fts crashed with SIGSEGV in g_utf8_validate()
  UpgradeStatus: Upgraded to precise on 2011-05-07 (311 days ago)
  UserGroups: adm admin audio cdrom debian-tor dialout dip fuse lp lpadmin 
netdev plugdev sambashare sbuild vboxusers video

To manage notifications about this bug go to:
https://bugs.launchpad.net/zeitgeist/+bug/954171/+subscriptions

_______________________________________________
Mailing list: https://launchpad.net/~zeitgeist
Post to     : zeitgeist@lists.launchpad.net
Unsubscribe : https://launchpad.net/~zeitgeist
More help   : https://help.launchpad.net/ListHelp

Reply via email to